Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor
Class SystemFieldListMap

    java.lang.Object
      com.sun.mdm.index.survivor.SystemFieldListMap

All Implemented Interfaces:
  java.io.Serializable

public class SystemFieldListMap
extends java.lang.Object
implements java.io.Serializable

The SystemFieldListMap class represents a mapping of a system key (that is, a system code and local ID pair) to a corresponding list of system fields. This class is used by the Survivor Strategy Interface when evaluating which field values should populate the Single Best Record (SBR).

See Also:
  Serialized Form

Nested Class Summary
`class` | `SystemFieldListMap.SystemKey` The SystemKey class is an inner class representing a system code and local ID pair mapped to a corresponding list of system fields in an instance of SystemFieldListMap.

Constructor Summary
`SystemFieldListMap()` Creates a new instance of the SystemFieldListMap class.

Method Summary
`java.util.Set` | `entrySet()` Retrieves the initial set of objects in the map.
`java.util.Collection` | `get(java.lang.String systemCode)` Retrieves a collection of system field lists mapped to a specific system code.
`SystemFieldList` | `get(SystemFieldListMap.SystemKey key)` Retrieves the list of fields mapped to a specific system key.
`java.util.Set` | `keySet()` Retrieves the list of system keys from the mapping.
`java.util.Set` | `keySet(java.lang.String systemCode)` Retrieves the set of system keys that correspond to the given system code.
`void` | `put(java.lang.String systemCode, java.lang.String lid, SystemFieldList list)` Places a system field list in the map using the specified system code and local ID.
`void` | `put(SystemFieldListMap.SystemKey key, SystemFieldList list)` Places a system field list in the map, associating the list with the specified system key.
`int` | `size()` Returns the number of entries in the map.
`java.lang.String` | `toString()` Retrieves a string representation of the system field list map.
`java.util.Collection` | `values()` Retrieves all the SystemFieldList objects in the map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemFieldListMap

    public SystemFieldListMap()

  Creates a new instance of the SystemFieldListMap class.

  Parameters:
    None.
  Throws:
    None.

Method Detail

### entrySet

    public java.util.Set entrySet()

  Retrieves the initial set of objects in the map.

  Parameters:
    None.

  Returns:
    `Set` - A set of system key objects.
  Throws:
    None.

### get

    public java.util.Collection get(java.lang.String systemCode)

  Retrieves a collection of system field lists mapped to a specific system code.

  Parameters:
    `systemCode` - The system code for the field list to retrieve.
  Returns:
    `Collection` - A collection of system field lists corresponding to the given system code.
  Throws:
    None.

### get

    public SystemFieldList get(SystemFieldListMap.SystemKey key)

  Retrieves the list of fields mapped to a specific system key.

  Parameters:
    `key` - The system key for the field list to retrieve.
  Returns:
    `SystemFieldList` - The system field list corresponding to the given key.
  Throws:
    None.

### keySet

    public java.util.Set keySet()

  Retrieves the list of system keys from the mapping.

  Parameters:
    None.

  Returns:
    `Set` - A set of system keys.
  Throws:
    None.

### keySet

    public java.util.Set keySet(java.lang.String systemCode)

  Retrieves the set of system keys that correspond to the given system code.

  Parameters:
    `systemCode` - The system code for the system keys to retrieve.
  Returns:
    `Set` - A set of system keys.
  Throws:
    None.

### put

    public void put(java.lang.String systemCode,
                    java.lang.String lid,
                    SystemFieldList list)

  Places a system field list in the map using the specified system code and local ID.

  Parameters:
    `systemCode` - The system code.
    `lid` - The local ID corresponding to the given system code.
    `list` - The list of system fields to be mapped to the specified system and local ID.
  Returns:
    `void` - None.
  Throws:
    None.

### put

    public void put(SystemFieldListMap.SystemKey key,
                    SystemFieldList list)

  Places a system field list in the map, associating the list with the specified system key.

  Parameters:
    `key` - The system key.
    `list` - The list of system fields to be mapped to the specified system key.
  Returns:
    `void` - None.
  Throws:
    None.

### size

    public int size()

  Returns the number of entries in the map.

  Parameters:
    None.

  Returns:
    `int` - The number of map entries.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the system field list map.

  Parameters:
    None.

  Returns:
    `String` - A string representation of the map.
  Throws:
    None.

### values

    public java.util.Collection values()

  Retrieves all the SystemFieldList objects in the map.

  Parameters:
    None.

  Returns:
    `Collection` - A collection of system field lists.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.